Subject: Re: linux-next: build failure after merge of the net-next tree

From: David Miller <[email-masked]>
Date: Wed, 20 Jun 2012 02:58:37 -0700 (PDT)

From: Federico Vaga <[email-masked]>
Date: Wed, 20 Jun 2012 11:59:26 +0200

>> Then the driver should NEVER have been submitted without the
>> required infrastructure in place first.
> 
> This particular driver don't use the clk framework at the moment. I put 
> that lines about clk to try to be generic as possibile, but I see that I 
> made a mistake: I'm sorry.

Why would you try to be generic by using an interface currently
only available on certain platforms?

That is how you make drivers non-portable, and not generic.